classification
Title: Python segfaults on OpenBSD (tested 3.4 and 3.5)
Type: crash Stage: test needed
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: ajaksu2, fabinator, loewis, skrah
Priority: normal Keywords:

Created on 2005-06-01 17:33 by fabinator, last changed 2010-02-16 18:11 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
python_bug.tgz fabinator, 2005-06-01 17:33 Source to reproduce error + backtrace
Messages (5)
msg25472 - (view) Author: Fabien Devaux (fabinator) Date: 2005-06-01 17:33
Here is a minimal case, launch the server and then the
client (change the server ip on the client source).
Under NetBSD it works as expected, under OpenBSD I get
a big segfault at the "ping" time...
msg25473 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2005-06-03 19:49
Logged In: YES 
user_id=21627

Looks like a stack overflow. What is the stack size limit in
your account?
msg25474 - (view) Author: Fabien Devaux (fabinator) Date: 2005-06-04 03:22
Logged In: YES 
user_id=658447

ulimit -s returns "4096"
with the limit set to 32000 I have the same error.
msg82205 - (view) Author: Daniel Diniz (ajaksu2) * (Python triager) Date: 2009-02-16 02:25
Is this still valid?
msg99399 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-02-16 12:22
It is a stack overflow, which can be prevented by setting

#define Py_DEFAULT_RECURSION_LIMIT 150

in Python/ceval.c.

Then the program behaves in the same way as on Linux (i.e. it swallows
the RuntimeError somewhere). Recommend closing.
History
Date User Action Args
2010-02-16 18:11:16loewissetstatus: open -> closed
resolution: wont fix
2010-02-16 12:22:32skrahsetnosy: + skrah
messages: + msg99399
2009-02-16 02:25:26ajaksu2setversions: + Python 2.6
nosy: + ajaksu2
messages: + msg82205
components: + Interpreter Core, - None
type: crash
stage: test needed
2005-06-01 17:33:28fabinatorcreate